lasrt(3)

NAME
lasrt - lasrt: sort vector

SYNOPSIS

  Functions

subroutine dlasrt (id, n, d, info)
DLASRT sorts numbers in increasing or decreasing order.
subroutine slasrt (id, n, d, info)
SLASRT sorts numbers in increasing or decreasing order.

Detailed Description

Function Documentation

  subroutine dlasrt (character id, integer n, double precision, dimension( * ) d, integer info)

DLASRT sorts numbers in increasing or decreasing order.

Purpose:

    !>
    !> Sort the numbers in D in increasing order (if ID = 'I') or
    !> in decreasing order (if ID = 'D' ).
    !>
    !> Use Quick Sort, reverting to Insertion sort on arrays of
    !> size <= 20. Dimension of STACK limits N to about 2**32.
    !>

Parameters
    ID

    !>          ID is CHARACTER*1
    !>          = 'I': sort D in increasing order;
    !>          = 'D': sort D in decreasing order.
    !>

    N

    !>          N is INTEGER
    !>          The length of the array D.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (N)
    !>          On entry, the array to be sorted.
    !>          On exit, D has been sorted into increasing order
    !>          (D(1) <= ... <= D(N) ) or into decreasing order
    !>          (D(1) >= ... >= D(N) ), depending on ID.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine slasrt (character id, integer n, real, dimension( * ) d, integer info)

SLASRT sorts numbers in increasing or decreasing order.

Purpose:

    !>
    !> Sort the numbers in D in increasing order (if ID = 'I') or
    !> in decreasing order (if ID = 'D' ).
    !>
    !> Use Quick Sort, reverting to Insertion sort on arrays of
    !> size <= 20. Dimension of STACK limits N to about 2**32.
    !>

Parameters
    ID

    !>          ID is CHARACTER*1
    !>          = 'I': sort D in increasing order;
    !>          = 'D': sort D in decreasing order.
    !>

    N

    !>          N is INTEGER
    !>          The length of the array D.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          On entry, the array to be sorted.
    !>          On exit, D has been sorted into increasing order
    !>          (D(1) <= ... <= D(N) ) or into decreasing order
    !>          (D(1) >= ... >= D(N) ), depending on ID.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.